Page MenuHomePhabricator

When a link is the first element on a page, don't launch the link context menu automatically; instead put the cursor in the placement outside the link
Closed, ResolvedPublic8 Story Points

Description

As seen at de.wiki. I can reproduce in Safari, I think the editor's browser is Chrome.

Details

Related Gerrit Patches:
VisualEditor/VisualEditor : masterInitial cursor position: outside any nails

Event Timeline

Elitre created this task.Oct 1 2015, 3:27 PM
Elitre raised the priority of this task from to Needs Triage.
Elitre updated the task description. (Show Details)
Elitre added a project: VisualEditor.
Elitre added a subscriber: Elitre.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptOct 1 2015, 3:27 PM
Elitre renamed this task from When a wikilink is the first element on a page, don't automatically open the link inspector to When a wikilink is the first element on a page, don't launch the link inspector automatically.Oct 1 2015, 3:28 PM
Elitre updated the task description. (Show Details)
Elitre set Security to None.

This has been requested before, and is a Decline. There is by design no way to not show the context menu; it's the context.

Jdforrester-WMF renamed this task from When a wikilink is the first element on a page, don't launch the link inspector automatically to When a wikilink is the first element on a page, don't launch the link context menu automatically.Oct 1 2015, 3:36 PM
Elitre added a comment.Oct 1 2015, 4:29 PM

It feels weird and annoying though, as of course I'm not necessarily editing the page to change that link (or other links for that matter). Also, I don't think other dialogs behave like this? (Refs, templates). Meh.

Florian added a subscriber: Florian.Oct 6 2015, 5:29 PM

Hmm, ok, but what if I want to edit the link after I clicked "Edit"? Do I need to click somewhere else and on the link again, or do I have to click on the link somewhere else? That would feel bad, too, I think (that's my opinion) :)

Jdforrester-WMF closed this task as Declined.Oct 6 2015, 7:15 PM
Jdforrester-WMF claimed this task.
Esanders reopened this task as Open.Oct 6 2015, 7:18 PM
Esanders added subscribers: dchan, Esanders.

This may be possible with the new link cartouches as there are two positions at the start of the document, one which is outside the link. Pinging @dchan

Jdforrester-WMF triaged this task as Normal priority.
Jdforrester-WMF moved this task from To Triage to Needs Discussion/Analysis on the VisualEditor board.
Esanders renamed this task from When a wikilink is the first element on a page, don't launch the link context menu automatically to When a link is the first element on a page, don't launch the link context menu automatically.Oct 26 2015, 10:21 AM
Jdforrester-WMF renamed this task from When a link is the first element on a page, don't launch the link context menu automatically to When a link is the first element on a page, don't launch the link context menu automatically; instead put the cursor in the placement outside the link.Nov 12 2015, 3:51 PM
Jdforrester-WMF removed dchan as the assignee of this task.Nov 19 2015, 7:03 PM
Jdforrester-WMF moved this task from Needs Discussion/Analysis to Freezer on the VisualEditor board.

Change 260057 had a related patch set uploaded (by DLynch):
Initial cursor position: outside any nails

https://gerrit.wikimedia.org/r/260057

Jdforrester-WMF closed this task as Resolved.Jan 22 2016, 6:19 PM
Jdforrester-WMF removed a project: Patch-For-Review.

Change 260057 merged by jenkins-bot:
Initial cursor position: outside any nails

https://gerrit.wikimedia.org/r/260057